package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.app.TeamUserInfo;
import cn.wisenergy.model.dto.TeamUserInfoDto;
import cn.wisenergy.model.vo.TeamUserInfoVo;
import com.github.pagehelper.PageInfo;

public interface TeamUserInfoService {

    TeamUserInfo getOneById(String userId);
    /**
     * 获取团队总人数
     * @param userId 用户Id
     * @return 用户团队总人数
     */
    int getTeamUserCount(String userId);

    /**
     * 分页查询所有用户信息
     *
     * @param teamUserInfoDto 查询参数
     * @return 列表
     */
    R<PageInfo<TeamUserInfoVo>> getTeamUserInfoList(TeamUserInfoDto teamUserInfoDto);
}
